CORE RESOURCES
Invoices
The Invoice object
Invoices of a customer, from the billing source.
ATTRIBUTES
- object enum
- invoice
- id string
- customer string
- subscription string | null
- stripe_invoice_id string | null
- external_id string | null
- livemode boolean
- number string | null
Show 12 more attributesHide 12 attributes
- status enum
- draft
- open
- paid
- uncollectible
- void
- amount_due_cents integer
- amount_paid_cents integer
- amount_remaining_cents integer
- currency string | null
- attempt_count integer
- failure_code string | null
- decline_code string | null
- hosted_invoice_url string | null
Schema: Invoice
THE INVOICE OBJECT
{
"object": "invoice",
"id": "ninv_WL2dwPKmWFvGVwFH",
"customer": "cst_LcPL9ouMxcj8urYd",
"subscription": "nsub_GvBC2Nd8WchY2sb4",
"stripe_invoice_id": "in_1",
"external_id": null,
"livemode": false,
"number": "INV-1",
"status": "open",
"amount_due_cents": 4900,
"amount_paid_cents": 0,
"amount_remaining_cents": 4900,
"currency": "eur",
"attempt_count": 1,
"next_attempt_at": "2026-11-07T10:00:00.000Z",
"failure_code": null,
"decline_code": null,
"hosted_invoice_url": "https://invoice.stripe.com/i/test",
"paid_at": null,
"created_at": "2026-11-04T10:00:00.000Z"
} List invoices, optionally for one customer
- Secret key (
nc_test_…ornc_live_…). Restricted keys need read access. - AI apps (OAuth):
readscope.
QUERY PARAMETERS
- customer string
cst_…, cus_… or your id.
- stripe_customer string
- external_id string
- status string
- starting_after string
RETURNS
-
200list — a list of Invoice object (InvoiceList)
ERRORS
-
404customer_not_found unknown customer
GET/v1/invoices
curl https://api.nochurn.sh/v1/invoices \
-H "Authorization: Bearer nc_test_…"const res = await fetch("https://api.nochurn.sh/v1/invoices", {
headers: {
Authorization: "Bearer nc_test_…",
},
});
const page = await res.json();import requests
res = requests.get(
"https://api.nochurn.sh/v1/invoices",
headers={
"Authorization": "Bearer nc_test_…",
},
)
page = res.json()require "net/http"
require "json"
uri = URI("https://api.nochurn.sh/v1/invoices")
req = Net::HTTP::Get.new(uri)
req["Authorization"] = "Bearer nc_test_…"
res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
page = JSON.parse(res.body) RESPONSE 200
{
"object": "list",
"data": [
{
"object": "invoice",
"id": "ninv_WL2dwPKmWFvGVwFH",
"customer": "cst_LcPL9ouMxcj8urYd",
"subscription": "nsub_GvBC2Nd8WchY2sb4",
"stripe_invoice_id": "in_1",
"external_id": null,
"livemode": false,
"number": "INV-1",
"status": "open",
"amount_due_cents": 4900,
"amount_paid_cents": 0,
"amount_remaining_cents": 4900,
"currency": "eur",
"attempt_count": 1,
"next_attempt_at": "2026-11-07T10:00:00.000Z",
"failure_code": null,
"decline_code": null,
"hosted_invoice_url": "https://invoice.stripe.com/i/test",
"paid_at": null,
"created_at": "2026-11-04T10:00:00.000Z"
}
],
"has_more": false,
"next_cursor": null
}